#!/bin/bash

sp='#'
#cpu model
model=$(grep 'model name' /proc/cpuinfo |uniq |awk -F : '{print $2}' |sed 's/^[ \t]*//g' |sed 's/ \+/ /g')
#physical cpus
pc=$(grep 'physical id' /proc/cpuinfo |sort |uniq |wc -l)
#logical cpus
lc=$(grep 'processor' /proc/cpuinfo |sort |uniq |wc -l)
#mem
mem=$(cat /proc/meminfo | grep MemTotal | awk '{ print $2}')
#serial
serial=$(dmidecode -t 1 | grep Serial| sed 's/^.*ber: //g')
#ip
ip=$(LC_ALL=C ifconfig  | grep -w 'inet'| grep -v '127.0.0.1')
#MAC
mac=$(ifconfig | grep eth[0-9] | cut -d\t -f4 | awk '{print $2}')
#server
server=$(dmidecode |grep -i "Product Name" | cut -d: -f2 | uniq -w1)
#os
string=$(cat /proc/version | grep -i 'red hat')
if [ "$string" != "" ]
then
	os=$(cat /etc/redhat-release)
else
	os=$(lsb_release -d | cut -d: -f2)
fi
basicinfo=$sp$os$sp$server$sp$model$sp$pc$sp$lc$sp$mem$sp$serial$sp$ip$sp$mac$sp
echo $basicinfo
